#
# spec file for package scsi-changer (Version 0.20)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif openmotif-devel openmotif-libs openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           scsi-changer
BuildRequires:  openmotif openmotif-devel update-desktop-files
URL:            http://bytesex.org/changer.html
License:        GPL
Group:          Hardware/Other
Autoreqprov:    on
Version:        0.20
Release:        520.2
Summary:        SCSI Media Changer Tools
Source:         %{name}-%{version}.tar.gz
Source1:        %name.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Command line and X Window System tools for controlling SCSI media
changer devices.



Authors:
--------
    Gerd Knorr <kraxel@suse.de>

%debug_package
%prep
%setup -q -n changer

%build
make	OPTFLAGS="$RPM_OPT_FLAGS"		\
	XLIB="/usr/X11R6/%{_lib}"

%install
test "%{buildroot}" != "" -a "%{buildroot}" != "/" &&\
	rm -rf "%{buildroot}"
make	OPTFLAGS="$RPM_OPT_FLAGS"		\
	XLIB="/usr/X11R6/%{_lib}"		\
	DESTDIR="%{buildroot}"			\
	bindir="%{buildroot}%{_bindir}"		\
	sbindir="%{buildroot}%{_sbindir}"	\
	mandir="%{buildroot}%{_mandir}"		\
	install
gzip %{buildroot}%{_mandir}/man*/*
%suse_update_desktop_file -i %name System SystemSetup

%files
%defattr(-,root,root)
/etc/autojuke.conf
%{_bindir}/*
%{_sbindir}/*
/usr/share/applications/*.desktop
%{_mandir}/man1/*
%{_mandir}/man8/*
%doc README TODO ChangeLog

%clean
test "%{buildroot}" != "" -a "%{buildroot}" != "/" &&\
	rm -rf "%{buildroot}"

%changelog -n scsi-changer
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 16 2004 - hvogel@suse.de
- fix desktop file
* Fri Jun 25 2004 - hmacht@suse.de
- building as non-root user
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Wed May 28 2003 - kraxel@suse.de
- fixed file list.
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
- changed neededforbuild <xdevel> to <>
* Tue Apr 30 2002 - kraxel@suse.de
- initial release.
